Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.module
Class NullModuleFactory

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.NullModuleFactory

All Implemented Interfaces:
  ModuleFactoryInstance

Direct Known Subclasses:
  XMLLoadingTest

public class NullModuleFactory
extends Object
implements ModuleFactoryInstance

NullModuleFactory.java This class does precisely nothing, but in a very special way..... Created: Mon May 15 15:03:40 2000

Version:
  $Id: NullModuleFactory.java,v 1.10 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`NullModuleFactory()`

Method Summary
`void` | `addConfig(ModuleIdentifier identifier, Object config)`
`void` | `addIdentifier(ModuleIdentifier identifier)` Adds an identifier to the factory storage mechanism.
`void` | `addIdentifier(ModuleIdentifier[] identifiers)` Adds identifiers to the factory storage mechanism.
`void` | `destroy()` Destroy all of the module instances, and remove all the internal data structures of this Factory.
`Object` | `getConfig(ModuleIdentifier mod)` Returns the config object a given module
`Module` | `getModule(ModuleIdentifier identifier)` Returns the module, given the module identifier.
`ModuleList` | `getRequiredModules(ModuleIdentifier identifier)` Returns the modules required by the given module.
`boolean` | `isModuleAvailable(ModuleIdentifier identifier)` Returns whether a module is available for use.
`Module` | `load(ModuleIdentifier identifier)` Loads the module associated with a particular identifier.
`ModuleIdentifier` | `resolveClassName(String className)` Resolves a classname of a module into the module identifier.
`ModuleIdentifier` | `resolveModuleName(String moduleName)` Resolve a module name into a ModuleIdentifier
`void` | `setConcreteIdentifier(ModuleIdentifier abstractIdentifier, ModuleIdentifier concreteIdentifier)` Set the concrete identifier for a given abstract identifier.
`void` | `setConfig(ModuleIdentifier mod, Object config)` Sets the config to a particular module described by an identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullModuleFactory

    public NullModuleFactory()

Method Detail

### isModuleAvailable

    public boolean isModuleAvailable(ModuleIdentifier identifier)

  Description copied from interface: `ModuleFactoryInstance`
  Returns whether a module is available for use. This allows the use of optional modules.

  Specified by:
    `isModuleAvailable` in interface `ModuleFactoryInstance`
  Parameters:
    `identifier` - the module identifier
  Returns:
    the availability of the target module

### getModule

    public Module getModule(ModuleIdentifier identifier)

  Description copied from interface: `ModuleFactoryInstance`
  Returns the module, given the module identifier.

  Specified by:
    `getModule` in interface `ModuleFactoryInstance`
  Parameters:
    `identifier` - the module identifier
  Returns:
    the module

### getRequiredModules

    public ModuleList getRequiredModules(ModuleIdentifier identifier)

  Description copied from interface: `ModuleFactoryInstance`
  Returns the modules required by the given module.

  Specified by:
    `getRequiredModules` in interface `ModuleFactoryInstance`
  Parameters:
    `identifier` - the module identifier of the module of interest
  Returns:
    the required modules

### addIdentifier

    public void addIdentifier(ModuleIdentifier identifier)

  Description copied from interface: `ModuleFactoryInstance`
  Adds an identifier to the factory storage mechanism.

  Specified by:
    `addIdentifier` in interface `ModuleFactoryInstance`
  Parameters:
    `identifier` - the identifier

### addIdentifier

    public void addIdentifier(ModuleIdentifier[] identifiers)

  Description copied from interface: `ModuleFactoryInstance`
  Adds identifiers to the factory storage mechanism.

  Specified by:
    `addIdentifier` in interface `ModuleFactoryInstance`
  Parameters:
    `identifiers` - an array of identifiers

### addConfig

    public void addConfig(ModuleIdentifier identifier,
                          Object config)

### load

    public Module load(ModuleIdentifier identifier)

  Description copied from interface: `ModuleFactoryInstance`
  Loads the module associated with a particular identifier. This will include a call to the load method of the module. It should also subsequently check that all requried modules are loaded as well.

  Specified by:
    `load` in interface `ModuleFactoryInstance`
  Parameters:
    `identifier` - the identifier

### setConfig

    public void setConfig(ModuleIdentifier mod,
                          Object config)

  Description copied from interface: `ModuleFactoryInstance`
  Sets the config to a particular module described by an identifier.

  Specified by:
    `setConfig` in interface `ModuleFactoryInstance`
  Parameters:
    `mod` - the identifier
    `config` - the config

### getConfig

    public Object getConfig(ModuleIdentifier mod)

  Description copied from interface: `ModuleFactoryInstance`
  Returns the config object a given module

  Specified by:
    `getConfig` in interface `ModuleFactoryInstance`

### resolveModuleName

    public ModuleIdentifier resolveModuleName(String moduleName)

  Description copied from interface: `ModuleFactoryInstance`
  Resolve a module name into a ModuleIdentifier

  Specified by:
    `resolveModuleName` in interface `ModuleFactoryInstance`
  Parameters:
    `moduleName` - the name of the module

### resolveClassName

    public ModuleIdentifier resolveClassName(String className)

  Description copied from interface: `ModuleFactoryInstance`
  Resolves a classname of a module into the module identifier.

  Specified by:
    `resolveClassName` in interface `ModuleFactoryInstance`
  Returns:
    the module identifier

### destroy

    public void destroy()

  Description copied from interface: `ModuleFactoryInstance`
  Destroy all of the module instances, and remove all the internal data structures of this Factory.

  Specified by:
    `destroy` in interface `ModuleFactoryInstance`

### setConcreteIdentifier

    public void setConcreteIdentifier(ModuleIdentifier abstractIdentifier,
                                      ModuleIdentifier concreteIdentifier)

  Description copied from interface: `ModuleFactoryInstance`
  Set the concrete identifier for a given abstract identifier.

  Specified by:
    `setConcreteIdentifier` in interface `ModuleFactoryInstance`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD